Subject: Re: [PATCH 0/4] trace2: add macOS and Windows process ancestry tracing

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2026 09:05:30 -0800

Derrick Stolee <[email-masked]> writes:

>> Furthermore, let's refactor the Windows implementation to align with the
>> Linux and macOS versions - by emitting the ancestry information as a
>> cmd_ancestry event. We keep the older, custom data_json event type on
>> Windows for compatibility for consumers of the TRACE2 data that use the
>> older event.
>
> I appreciate this compatibility approach. I mention in my patch-by-patch
> review that we should eventually drop the old mechanism, say in two major
> versions.
>
> The code looks good to me, just a question about the testing and some very
> minor nitpicks around recursion and strvecs.

Thanks for a prompt review (and thanks for the series author for
writing the patches, of course).

Will mark as "expecting a hopefully minor and final reroll".